/************************************************************************************************
* 																								*
*							PROPELLERUHR FUER BECCY												*
*						   =========================											*
*																								*
*																								*
* Autor:		Denis Bethuser																	*
*																								*
* Controller:	ATMEGA88																		*
* Quarz:		int. RC 8MHz																	*
*																								*
* Version:		0.2 																			*
*																								*
************************************************************************************************/

/**** Defines / Alias **************************************************************************/

#ifndef F_CPU
#define F_CPU 8000000		// Taktfrequenz
#endif

#define BAUD 9600L		// Baudrate

/**** Typedefs **************************************************************************/

typedef union {
	unsigned short all;
	struct {
		unsigned char low;
		unsigned char high;
	};
} short2bytes;

extern short2bytes Anzeige;

/**** Includefiles **************************************************************************/

#include <avr/io.h>
#include "SPI.h"		// Prototypen der Funktionen in SPI.C
#include "USART.h"		// Prototypen der Funktionen in USART.C
