/************************************************************************************************
* 																								*
*							PROPELLERUHR FUER BECCY												*
*						   =========================											*
*																								*
*							     USART Library													*
*																								*
*																								*
* Autor:		Denis Bethuser																	*
*																								*
* Controller:	ATMEGA88																		*
* Quarz:		int. RC 8MHz																	*
*																								*
* Version:		0.2 																			*
*																								*
************************************************************************************************/

/**** Defines / Alias **************************************************************************/

#include "Beccy_Uhr_Com.h"

#define UBRR_VAL ((F_CPU+BAUD*8)/(BAUD*16)-1)   			// berechnen

/**** Inititialisierung ************************************************************************/

void USART_init(){

 	UCSR0B |= (1<<RXEN0)|(1<<RXCIE0);                		// UART TX + RX-Interrupt einsch.
 	UCSR0C |= (1<<UCSZ00)|(1<<UCSZ00);    					// Asynchron 8N1

 	UBRR0H = UBRR_VAL >> 8;									// Baudrate schreiben
 	UBRR0L = UBRR_VAL & 0xFF;

}